require "config"
require "prototypes.oxygen"
require "prototypes.oxygen-bottles"
require "prototypes.oxygen-dispenser"
require "prototypes.gas-mask"
data:extend({
  {
	type = "damage-type",
	name = "oxygen"
  },
  {
	type = "item-subgroup",
	name = "oxygen",
	group = "intermediate-products",
	order = "d"
  },
  
  {
	type = "technology",
	name = "basic-oxygen-supply",
	icon = "__OxygenUnofficial__/graphics/empty-oxygen-bottle.png",
	effects = {
	  {
		type = "unlock-recipe",
		recipe = "empty-oxygen-bottle"
	  },
	  {
		type = "unlock-recipe",
		recipe = "big-empty-oxygen-bottle"
	  },
	  {
		type = "unlock-recipe",
		recipe = "oxygen-bottle"
	  },
	  {
		type = "unlock-recipe",
		recipe = "big-oxygen-bottle"
	  },
	  {
		type = "unlock-recipe",
		recipe = "oxygen-from-water"
	  },
	  {
		type = "unlock-recipe",
		recipe = "oxygen-from-atmosphere"
	  }
	},
	prerequisites = {"steel-processing"},
	unit = {
      count = 50,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "d-h-i"
  },
  {
	type = "technology",
	name = "advanced-oxygen-supply",
	icon = "__OxygenUnofficial__/graphics/big-oxygen-bottle.png",
	effects = {
	  {
		type = "unlock-recipe",
		recipe = "oxygen-dispenser"
	  }
	},
	prerequisites = {"basic-oxygen-supply"},
	unit = {
      count = 75,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "d-h-j"
  }
})